[SOLVED] Problem z instalacją qnapi

Jesteś nowy na forum? Przeczytaj ...

Home Fora Forum wsparcia Oprogramowanie [SOLVED] Problem z instalacją qnapi

Ten wątek zawiera 13 odpowiedzi, ma 5 uczestników, ostatnio zmodyfikowany przez  pavbaranov 11 miesięcy, 2 tygodni temu.

Oglądasz 14 posty - 1 do 14 (z 14 ogółem)
  • Autor
    Posty
  • #5734

    mjedr
    Forumowicz

    Korzystam z wydania opartego na Deepin. Dodam, że z instalacją wydania Cinnamon nie było problemu.

    ==> Kontynuować budowanie qnapi?[T/n]
    ==> ---------------------------------
    ==> t
    
    ==> Budowanie i instalowanie pakietu
    ==> Tworzenie pakietu: qnapi 0.2.3-1 (pią, 1 wrz 2017, 16:19:17 CEST)
    ==> Sprawdzanie zależności potrzebnych do uruchomienia...
    ==> Sprawdzanie zależności potrzebnych do budowy...
    ==> Pobieranie źródeł...
      -> Pobieranie qnapi-0.2.3.tar.gz...
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
    100   608    0   608    0     0    608      0 --:--:-- --:--:-- --:--:--   844
    100 1194k  100 1194k    0     0   398k      0  0:00:03  0:00:03 --:--:--  606k
    ==> Sprawdzanie plików source za pomocą sha256sums...
        qnapi-0.2.3.tar.gz ... Zgadza się
    ==> Rozpakowywanie źródeł...
      -> Rozpakowywanie qnapi-0.2.3.tar.gz za pomocą bsdtar
    ==> Rozpoczynanie build()...
    Info: creating stash file /tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/.qmake.stash
    cd libqnapi/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/libqnapi/libqnapi.pro QMAKE_DEFAULT_INCDIRS= ) && make -f Makefile 
    make[1]: Wejście do katalogu '/tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/libqnapi'
    compiling ../deps/libmaia/maiaObject.cpp
    compiling ../deps/libmaia/maiaFault.cpp
    compiling ../deps/libmaia/maiaXmlRpcClient.cpp
    compiling ../deps/libmaia/maiaXmlRpcServer.cpp
    compiling ../deps/libmaia/maiaXmlRpcServerConnection.cpp
    compiling src/config/configreader.cpp
    compiling src/config/configwriter.cpp
    compiling src/config/engineconfig.cpp
    compiling src/config/generalconfig.cpp
    compiling src/config/postprocessingconfig.cpp
    compiling src/config/qnapiconfig.cpp
    compiling src/config/scanconfig.cpp
    compiling src/config/staticconfig.cpp
    compiling src/engines/napiprojektdownloadengine.cpp
    compiling src/engines/napisy24downloadengine.cpp
    compiling src/engines/opensubtitlesdownloadengine.cpp
    compiling src/engines/subtitledownloadengine.cpp
    compiling src/engines/subtitledownloadenginesregistry.cpp
    compiling src/libqnapi.cpp
    compiling src/movieinfo/libmediainfomovieinfoprovider.cpp
    compiling src/subconvert/formats/microdvd.cpp
    compiling src/subconvert/formats/mpl2.cpp
    compiling src/subconvert/formats/subrip.cpp
    compiling src/subconvert/formats/tmplayer.cpp
    compiling src/subconvert/subtitleconverter.cpp
    compiling src/subconvert/subtitleformat.cpp
    compiling src/subconvert/subtitleformatsregistry.cpp
    compiling src/subtitleinfo.cpp
    compiling src/subtitlelanguage.cpp
    compiling src/subtitlematcher.cpp
    compiling src/subtitlepostprocessor.cpp
    compiling src/utils/encodingutils.cpp
    compiling src/utils/p7zipdecoder.cpp
    compiling src/utils/synchttp.cpp
    compiling src/utils/syncxmlrpc.cpp
    generating tmp/moc_predefs.h
    moc ../deps/libmaia/maiaObject.h
    compiling tmp/moc_maiaObject.cpp
    moc ../deps/libmaia/maiaFault.h
    compiling tmp/moc_maiaFault.cpp
    moc ../deps/libmaia/maiaXmlRpcClient.h
    compiling tmp/moc_maiaXmlRpcClient.cpp
    moc ../deps/libmaia/maiaXmlRpcServer.h
    compiling tmp/moc_maiaXmlRpcServer.cpp
    moc ../deps/libmaia/maiaXmlRpcServerConnection.h
    compiling tmp/moc_maiaXmlRpcServerConnection.cpp
    moc src/subtitlematcher.h
    compiling tmp/moc_subtitlematcher.cpp
    moc src/utils/synchttp.h
    compiling tmp/moc_synchttp.cpp
    moc src/utils/syncxmlrpc.h
    compiling tmp/moc_syncxmlrpc.cpp
    rm -f libqnapi.a
    ar cqs libqnapi.a tmp/maiaObject.o tmp/maiaFault.o tmp/maiaXmlRpcClient.o tmp/maiaXmlRpcServer.o tmp/maiaXmlRpcServerConnection.o tmp/configreader.o tmp/configwriter.o tmp/engineconfig.o tmp/generalconfig.o tmp/postprocessingconfig.o tmp/qnapiconfig.o tmp/scanconfig.o tmp/staticconfig.o tmp/napiprojektdownloadengine.o tmp/napisy24downloadengine.o tmp/opensubtitlesdownloadengine.o tmp/subtitledownloadengine.o tmp/subtitledownloadenginesregistry.o tmp/libqnapi.o tmp/libmediainfomovieinfoprovider.o tmp/microdvd.o tmp/mpl2.o tmp/subrip.o tmp/tmplayer.o tmp/subtitleconverter.o tmp/subtitleformat.o tmp/subtitleformatsregistry.o tmp/subtitleinfo.o tmp/subtitlelanguage.o tmp/subtitlematcher.o tmp/subtitlepostprocessor.o tmp/encodingutils.o tmp/p7zipdecoder.o tmp/synchttp.o tmp/syncxmlrpc.o tmp/moc_maiaObject.o tmp/moc_maiaFault.o tmp/moc_maiaXmlRpcClient.o tmp/moc_maiaXmlRpcServer.o tmp/moc_maiaXmlRpcServerConnection.o tmp/moc_subtitlematcher.o tmp/moc_synchttp.o tmp/moc_syncxmlrpc.o
    make[1]: Opuszczenie katalogu '/tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/libqnapi'
    cd gui/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/gui/gui.pro QMAKE_DEFAULT_INCDIRS= ) && make -f Makefile 
    Project ERROR: libmediainfo development package not found
    make: *** [Makefile:89: sub-gui-make_first-ordered] Błąd 3
    ==> BŁĄD: Wystąpił błąd w build().
        Przerywam...
    ==> BŁĄD:Makepkg nie był w stanie zbudować qnapi.
    
    #5735
    napcok
    napcok
    Administrator

    Pakiet libmediainfo jest zainstalowany?

    MaboxLinux - Manjaro z Openbox | czasem piszę tutaj | Pomóż sobie i innym - mądrze zadawaj pytania

    #6027

    mjedr
    Forumowicz

    No tak, przeinstalowałem nawet system i kurde dalej ten problem.

    qnapi 0.2.3-1  (2017-05-20 08:00)
    (Niewspierany pakiet: potencjalnie niebezpieczny!)
    ==> Edytować PKGBUILD? [T/n] ("P", aby przerwać)
    ==> --------------------------------------------
    ==> n
    
    error: could not open file /var/lib/pacman/local/llvm-libs-5.0.0-1/desc: No such file or directory
    ==> Zależności qnapi:
     - qt5-base (już zainstalowany)
     - libmediainfo (już zainstalowany)
     - p7zip (już zainstalowany)
    
    ==> Kontynuować budowanie qnapi?[T/n]
    ==> ---------------------------------
    ==> t
    
    ==> Budowanie i instalowanie pakietu
    ==> Tworzenie pakietu: qnapi 0.2.3-1 (nie, 8 paź 2017, 19:04:04 CEST)
    ==> Sprawdzanie zależności potrzebnych do uruchomienia...
    błąd:  nie udało się otworzyć pliku /var/lib/pacman/local/llvm-libs-5.0.0-1/desc: Nie ma takiego pliku ani katalogu
    ==> Sprawdzanie zależności potrzebnych do budowy...
    ==> Pobieranie źródeł...
      -> Pobieranie qnapi-0.2.3.tar.gz...
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
    100   608    0   608    0     0    608      0 --:--:-- --:--:-- --:--:--   792
    100 1194k  100 1194k    0     0  24471      0  0:00:50  0:00:50 --:--:-- 13689
    ==> Sprawdzanie plików source za pomocą sha256sums...
        qnapi-0.2.3.tar.gz ... Zgadza się
    ==> Rozpakowywanie źródeł...
      -> Rozpakowywanie qnapi-0.2.3.tar.gz za pomocą bsdtar
    ==> Rozpoczynanie build()...
    Info: creating stash file /tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/.qmake.stash
    cd libqnapi/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/libqnapi/libqnapi.pro QMAKE_DEFAULT_INCDIRS= ) && make -f Makefile 
    make[1]: Wejście do katalogu '/tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/libqnapi'
    compiling ../deps/libmaia/maiaObject.cpp
    compiling ../deps/libmaia/maiaFault.cpp
    compiling ../deps/libmaia/maiaXmlRpcClient.cpp
    compiling ../deps/libmaia/maiaXmlRpcServer.cpp
    compiling ../deps/libmaia/maiaXmlRpcServerConnection.cpp
    compiling src/config/configreader.cpp
    compiling src/config/configwriter.cpp
    compiling src/config/engineconfig.cpp
    compiling src/config/generalconfig.cpp
    compiling src/config/postprocessingconfig.cpp
    compiling src/config/qnapiconfig.cpp
    compiling src/config/scanconfig.cpp
    compiling src/config/staticconfig.cpp
    compiling src/engines/napiprojektdownloadengine.cpp
    compiling src/engines/napisy24downloadengine.cpp
    compiling src/engines/opensubtitlesdownloadengine.cpp
    compiling src/engines/subtitledownloadengine.cpp
    compiling src/engines/subtitledownloadenginesregistry.cpp
    compiling src/libqnapi.cpp
    compiling src/movieinfo/libmediainfomovieinfoprovider.cpp
    compiling src/subconvert/formats/microdvd.cpp
    compiling src/subconvert/formats/mpl2.cpp
    compiling src/subconvert/formats/subrip.cpp
    compiling src/subconvert/formats/tmplayer.cpp
    compiling src/subconvert/subtitleconverter.cpp
    compiling src/subconvert/subtitleformat.cpp
    compiling src/subconvert/subtitleformatsregistry.cpp
    compiling src/subtitleinfo.cpp
    compiling src/subtitlelanguage.cpp
    compiling src/subtitlematcher.cpp
    compiling src/subtitlepostprocessor.cpp
    compiling src/utils/encodingutils.cpp
    compiling src/utils/p7zipdecoder.cpp
    compiling src/utils/synchttp.cpp
    compiling src/utils/syncxmlrpc.cpp
    generating tmp/moc_predefs.h
    moc ../deps/libmaia/maiaObject.h
    compiling tmp/moc_maiaObject.cpp
    moc ../deps/libmaia/maiaFault.h
    compiling tmp/moc_maiaFault.cpp
    moc ../deps/libmaia/maiaXmlRpcClient.h
    compiling tmp/moc_maiaXmlRpcClient.cpp
    moc ../deps/libmaia/maiaXmlRpcServer.h
    compiling tmp/moc_maiaXmlRpcServer.cpp
    moc ../deps/libmaia/maiaXmlRpcServerConnection.h
    compiling tmp/moc_maiaXmlRpcServerConnection.cpp
    moc src/subtitlematcher.h
    compiling tmp/moc_subtitlematcher.cpp
    moc src/utils/synchttp.h
    compiling tmp/moc_synchttp.cpp
    moc src/utils/syncxmlrpc.h
    compiling tmp/moc_syncxmlrpc.cpp
    rm -f libqnapi.a
    ar cqs libqnapi.a tmp/maiaObject.o tmp/maiaFault.o tmp/maiaXmlRpcClient.o tmp/maiaXmlRpcServer.o tmp/maiaXmlRpcServerConnection.o tmp/configreader.o tmp/configwriter.o tmp/engineconfig.o tmp/generalconfig.o tmp/postprocessingconfig.o tmp/qnapiconfig.o tmp/scanconfig.o tmp/staticconfig.o tmp/napiprojektdownloadengine.o tmp/napisy24downloadengine.o tmp/opensubtitlesdownloadengine.o tmp/subtitledownloadengine.o tmp/subtitledownloadenginesregistry.o tmp/libqnapi.o tmp/libmediainfomovieinfoprovider.o tmp/microdvd.o tmp/mpl2.o tmp/subrip.o tmp/tmplayer.o tmp/subtitleconverter.o tmp/subtitleformat.o tmp/subtitleformatsregistry.o tmp/subtitleinfo.o tmp/subtitlelanguage.o tmp/subtitlematcher.o tmp/subtitlepostprocessor.o tmp/encodingutils.o tmp/p7zipdecoder.o tmp/synchttp.o tmp/syncxmlrpc.o tmp/moc_maiaObject.o tmp/moc_maiaFault.o tmp/moc_maiaXmlRpcClient.o tmp/moc_maiaXmlRpcServer.o tmp/moc_maiaXmlRpcServerConnection.o tmp/moc_subtitlematcher.o tmp/moc_synchttp.o tmp/moc_syncxmlrpc.o
    make[1]: Opuszczenie katalogu '/tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/libqnapi'
    cd gui/ && ( test -e Makefile || /usr/bin/qmake-qt5 -o Makefile /tmp/yaourt-tmp-michu/aur-qnapi/src/qnapi-0.2.3/gui/gui.pro QMAKE_DEFAULT_INCDIRS= ) && make -f Makefile 
    Project ERROR: libmediainfo development package not found
    make: *** [Makefile:89: sub-gui-make_first-ordered] Błąd 3
    ==> BŁĄD: Wystąpił błąd w build().
        Przerywam...
    ==> BŁĄD:Makepkg nie był w stanie zbudować qnapi.
    ==> Powtórzyć budowanie qnapi?[t/N]
    ==> -------------------------------
    
    #6029

    pavbaranov
    Forumowicz

    Paczka buduje się poprawnie. Coś zatem walnięte jest w Twoim systemie, skoro zainstalowana zależność nie jest widoczna.
    Pomiędzy pierwszym, a drugim zrzutem widoczna jest różnica. Obecnie nie masz prawidłowo zainstalowanego llvm-libs. Napraw.
    Sprawdź, czy masz pliki nagłówkowe libmediawiki poprawnie zainstalowane. Lista dostarczana przez paczkę jest tutaj (trzeba rozwinąć View the file list for libmediainfo).
    Spróbuj zbudować qnapi bez użycia yaourt (choć nie powinno to mieć znaczenia).
    Jeśli pliki libmediainfo masz, a makepkg nie niędzie w stanie nadal zbudować qnapi, to masz instalację wadliwą na poziomie pacmana i okolic.

    #6031
    azja
    azja
    Moderator

    … zapewne nie jest, to wina paczki – mam qnapi (+ xfce) i nie miałem żadnych problemów z budową czy instalacją. Używałem yaourt.

    Nie zadawaj pytania, jeżeli nie jesteś gotów usłyszeć odpowiedzi

    #6032
    Robert75
    Robert75
    Forumowicz

    Ja też nie mam żadnych problemów z instalacją qnapi.
    Pastebin

    Manjaro Xfce LTS - 64Bit Linux User #621110
    PC: HP Compaq 6200 Pro MT / CPU: Intel Core 4x i3-2100 CPU @ 3.10GHz / GPU: Intel HD Graphics 2000 / Nvidia GeForce 7600 GT / RAM: 8 GB / Dysk: HDD 1 TB

    #6035

    mjedr
    Forumowicz

    Pojęcia nie mam jak naprawić llvm-libs, usunąć się nie chce bo musi usunąć mnóstwo innych aplikacji przy okazji. Postawię za chwilę od nowa system, tymrazem spróbuję zainstalować qnapi przed aktualizacją systemu.
    P.S. Na innych środowiskach też nie miałem problemu z tą aplikacją, tylko na tym deepin.

    #6036

    pavbaranov
    Forumowicz

    Naprawą nie jest odinstalowanie :) Masz błąd, który pokazuje Ci się tu:

    error: could not open file /var/lib/pacman/local/llvm-libs-5.0.0-1/desc: No such file or directory

    Plik ten jest dostarczany przez paczkę llvm-libs i winien się znajdować w tej lokalizacji. Skoro go nie masz, to oznacza, że jest on wadliwie zainstalowany lub coś w nim sknociłeś po instalacji. Problem powstał pomiędzy Twoim pierwszym, a drugim postem z logiem instalacji qnapi.
    Najprościej jest w takiej sytuacji przeinstalować taką paczkę (a nie usuwać, czy instalować system od nowa).
    Instalacja qnapi przed aktualizacją systemu nic Ci nie pomoże, albowiem nie w zależnościach tej paczki (tzn. ich wersjach) problem leży. Z jakiegoś powodu yaourt (a w zasadzie to makepkg) nie potrafi znaleźć plików nagłówkowych, które znajdują się w paczce libmediainfo. Poprawnie zainstalowana paczka winna mieć zawartość, którą możesz znaleźć na stronie Archa, którą wskazałem Ci wyżej. Otwórz sobie tę stronę, porównaj z zawartością paczki, jaka Ci się zainstalowała (przełącznik -Ql dla pacmana). Możesz też sobie sprawdzić integralność zainstalowanych paczek w ogóle. Wygląda bowiem tak, jakby coś powodowało, że paczki masz zainstalowane „częściowo”. Tzn. pacman je „widzi” jako zainstalowane, ale już poszczególne pliki składające się na nie nie są w systemie.
    Z różnych względów (nie jest to pierwszy post pierwszej osoby, która się na manjaro-deepin uskarża) mogę sądzić (wszak nie używam), że coś jest nie tak z tą wersją. Na stronie Manjaro masz m.in. manjaro-architect. Jeśli bardzo chcesz mieć deepin (z pewnych przyczyn, które są obojętne tutaj – mocno nie polecam tego DE) – to spróbuj zainstalować Manjaro z Deepin z użyciem tego instalatora.

    #6037
    Robert75
    Robert75
    Forumowicz

    @mjedr A do czego Ty potrzebujesz napisów? Bo jeżeli do filmów, to mogę Ci podać linka do pobierania filmów przez torrenty. I praktycznie każdy film jest tłumaczony przez napisy, oraz niektóre filmy także przez lektora.
    Jeszcze tylko jedna rada, lepiej jest się zarejestrować w tym serwisie, ponieważ nie zalogowany będziesz mógł pobrać tylko jednego torrenta tygodniowo, natomiast zalogowany możesz pobierać torrenty do woli.
    https://torrenty.to/

    Manjaro Xfce LTS - 64Bit Linux User #621110
    PC: HP Compaq 6200 Pro MT / CPU: Intel Core 4x i3-2100 CPU @ 3.10GHz / GPU: Intel HD Graphics 2000 / Nvidia GeForce 7600 GT / RAM: 8 GB / Dysk: HDD 1 TB

    #6038

    pavbaranov
    Forumowicz

    @robert75 – Mniejsza o to jak zdobyć można napisy. Istotne, że @mjedr ma wadliwie postawiony system.

    #6039

    mjedr
    Forumowicz

    Naprawą nie jest odinstalowanie :) Masz błąd, który pokazuje Ci się tu:

    error: could not open file /var/lib/pacman/local/llvm-libs-5.0.0-1/desc: No such file or directory

    Plik ten jest dostarczany przez paczkę llvm-libs i winien się znajdować w tej lokalizacji. Skoro go nie masz, to oznacza, że jest on wadliwie zainstalowany lub coś w nim sknociłeś po instalacji. Problem powstał pomiędzy Twoim pierwszym, a drugim postem z logiem instalacji qnapi.
    Najprościej jest w takiej sytuacji przeinstalować taką paczkę (a nie usuwać, czy instalować system od nowa).
    Instalacja qnapi przed aktualizacją systemu nic Ci nie pomoże, albowiem nie w zależnościach tej paczki (tzn. ich wersjach) problem leży. Z jakiegoś powodu yaourt (a w zasadzie to makepkg) nie potrafi znaleźć plików nagłówkowych, które znajdują się w paczce libmediainfo. Poprawnie zainstalowana paczka winna mieć zawartość, którą możesz znaleźć na stronie Archa, którą wskazałem Ci wyżej. Otwórz sobie tę stronę, porównaj z zawartością paczki, jaka Ci się zainstalowała (przełącznik -Ql dla pacmana). Możesz też sobie sprawdzić integralność zainstalowanych paczek w ogóle. Wygląda bowiem tak, jakby coś powodowało, że paczki masz zainstalowane „częściowo”. Tzn. pacman je „widzi” jako zainstalowane, ale już poszczególne pliki składające się na nie nie są w systemie.
    Z różnych względów (nie jest to pierwszy post pierwszej osoby, która się na manjaro-deepin uskarża) mogę sądzić (wszak nie używam), że coś jest nie tak z tą wersją. Na stronie Manjaro masz m.in. manjaro-architect. Jeśli bardzo chcesz mieć deepin (z pewnych przyczyn, które są obojętne tutaj – mocno nie polecam tego DE) – to spróbuj zainstalować Manjaro z Deepin z użyciem tego instalatora.

    Pierwszy i drugi post to są dwie różne instalacje. Zrobiłem teraz trzecią reinstalację no i cóż, problem się powtórzył. Porównałem pliki u mnie i ze stroną, wszystko się zgadza. Dla pewności zrobiłem reinstalację pakietu libmediainfo. No i nic. Dziwne, bardzo. makepkg domaga się „libmediainfo development package” znalazłem coś takiego dla innych systemów jak „libmediainfo-devel” może o to chodzi?

    @robert75 dzięki, napewno kiedyś się przyda. ;)

    #6040

    pavbaranov
    Forumowicz

    znalazłem coś takiego dla innych systemów jak „libmediainfo-devel” może o to chodzi?

    Nie, to jest Arch, a nie Debian. Pliki binarne oraz tzw. deweloperskie (czyli owe nagłówki itp.) są dostarczane tu w jednej paczce. Paczka libmediainfo-devel nie istnieje ani w oficjalnych repozytoriach, ani w AUR. Zwykle *-devel oznaczać winno (przynajmniej w Archu i pochodnych) paczkę „deweloperską”, czyli rozwojową – pomiędzy stabilnymi wydaniami.

    Spróbować możesz:
    – zainstalować Manjaro z Deepin poprzez manjaro-architect licząc na to, że instalka przebiegnie prawidłowo,
    – spróbować zbudować paczkę qmapi przez makepkg dodając w opcjach „-L” i pokazać logi,
    – ostatnie co mi do głowy przychodzi – nie masz (przynajmniej wszystkich niezbędnych) – paczek z grupy base-devel; te nie są wymieniane w PKGBUILDach, a są wymagane przy budowaniu paczek – jeśli w istocie ich nie masz, to doinstaluj.

    EDIT:
    Sprawdziłem paczki zawarte w Manjaro-Deepin 17.0.5. Wszystkie niezbędne do budowy qnapi (pomijam te, które są w zależnościach jak np. libmediainfo), są na ISO; base-devel również.
    Występuje zatem przedziwna sytuacja, w której paczki są niby zainstalowane, a makepkg nie potrafi/nie może skorzystać z plików, które są niezbędne do budowy.
    I teraz gwóźdź. Biorąc pod uwagę, że problem dotyczył u Ciebie dwu paczek (co najmniej w tym wątku dostrzeżonych), czy jesteś na 100% pewny swojego dysku?
    Spróbuj zrobić tak:
    – przed budową qnapi zainstaluj libmediainfo,
    – z tego co rozumiem, to pliki „deweloperskie” składające się na tę paczkę, a wymagane do budowy qnapi znajdują się w katalogu usr/include/MediaInfo/ – przejdź do niego,
    – podglądnij zawartość znajdujących się tam plików (oczywiście upewniając się, że są).
    Możesz również i przed i po instalacji libmediainfo wydać polecenie:
    pacman -Qk
    (w zasadzie wystarczy jedno „k”, ale możesz podwoić). Wynikiem będzie lista znajdujących się w systemie paczek, a obok pojawi się informacja, czy wszystkie pliki, jakie się na tę paczkę składają są zainstalowane w systemie. Polecenie możesz wydać z uprawnieniami roota (dla pewności zidentyfikowania wszystkich plików). Musisz tę listę albo w miarę szybko czytać, albo przekieruj sobie do jakiegoś pliku i potem podglądnij. Jeśli coś tu będzie nie tak – to sprawdź sobie przede wszystkim dysk.

    #6044

    mjedr
    Forumowicz

    Wydaje mi się, że dysk jest sprawny o tyle o ile działał bez problemu na Linux Mint Cinnamon.
    Mniejsza o dysk, wyszukałem paczki pod hasłem „base-devel” i miałem zainstalowane wszystko oprócz „gcc” (ale to już miałem jako gcc-multilib) oraz „pkg-config”. Zainstalowałem to drugie i tadam:

    https://pastebin.com/yvRWHg3D

    Nie wiem gdzie leży problem i czy napewno w braku tej jednej paczki której najprawdopodobniej nie było u mnie po każdej z instalcji niemniej @pavbaranov naprowadziłeś mnie na rozwiązanie.

    #6046

    pavbaranov
    Forumowicz

    pkg-config jest paczką wchodzącą do base-devel – winna się znaleźć w systemie (jak i wszystkie inne paczki składające się na base-devel) jeśli chcemy korzystać z makepkg. Żaden PKGBUILD nie zawiera bowiem jako zależności żadnej paczki, która znajduje się w tej grupie. Przynajmniej w Archu (lekko inaczej bywa w innych dystrybucjach), a zatem i w Manjaro (bo instalujesz z AUR). Pkg-config w większości przypadków jest konieczny do zbudowania paczki (kurcze, nie zauważyłem jego braku na liście w manjaro-deepin).

Oglądasz 14 posty - 1 do 14 (z 14 ogółem)

Musisz być zalogowany aby odpowiedzieć w tym wątku.